FROM alpine as qemu

RUN if [ -n "arm" ]; then \
		wget -O /qemu-arm-static https://github.com/multiarch/qemu-user-static/releases/download/v4.0.0-5/qemu-arm-static; \
	else \
		echo '#!/bin/sh\n\ntrue' > /qemu-arm-static; \
	fi; \
	chmod a+x /qemu-arm-static

FROM arm32v6/alpine

LABEL com.pantavisor.features.hostproc=1

COPY --from=qemu /qemu-arm-static /usr/bin/
ADD files/common /
# ADD files/arm /

CMD [ "/bin/pv-update-hosts" ]
